diff --git a/README b/README
index e74e27f437520ddd03f4492c373fcb127f77b821..22081c27375d5ff167e067bc923fe24211ea18cf 100644
--- a/README
+++ b/README
@@ -1,21 +1,14 @@
 ## Installation ##
 #
-The packages texlive-base-bin, texlive-latex-base, texlive-latex-recommended, 
-texlive-latex-extra, texlive-fonts-recommended and ghostscript should be
-installed.
-
-We assume that you have a directory where you want to make your presentations,
-in this directory the template directory `skel' should contain all the template
-files.
-
+The packages texlive-base-bin, texlive-latex-base, texlive-latex-recommended,
+texlive-latex-extra, texlive-fonts-recommended, latex-beamer and ghostscript
+should be installed.
 
 ## Making a new presentation ##
 #
-To make a new presentation, create an empty directory in the presentations
-directory, let's say newpresentation. Now do:
+To make a new presentation, run the mkpres command:
 ---
-cd newpresentation
-sh ../skel/mkpres.sh
+sh mkpres.sh <directory>
 ---
 
 ## Compiling ##
diff --git a/Gen2Phen.eps b/gen2phen_logo.eps
similarity index 100%
rename from Gen2Phen.eps
rename to gen2phen_logo.eps
diff --git a/mkpres.sh b/mkpres.sh
index d5443ec2d69b3bca3a2f40d38de7f228bfe0036c..e4763413cf1573eaf1d988b2af1455e3b84f00ef 100644
--- a/mkpres.sh
+++ b/mkpres.sh
@@ -1,20 +1,24 @@
 #!/bin/sh
 
-skel="../skel"
-
-if ! [ -e $skel ]; then
-  echo Make sure you are in an empty directory and $skel exists.
+if ! [ -n "$1" ]; then
+  echo "Usage: $0 <directory>"
   exit
 fi
 
-if [ -f presentation.tex ]; then
-  echo Make sure you are in an empty directory and $skel exists.
+if [ -e $1 ]; then
+  echo $1 already exists.
   exit
 fi
 
-ln -s $skel/bg.eps
-ln -s $skel/bg2.eps
-ln -s $skel/nbic_logo.eps
-ln -s $skel/lgtc_logo.eps
-ln -s $skel/Makefile
-cp $skel/presentation.tex .
+here=`pwd`
+
+mkdir $1
+ln -s $here/lumc_logo.eps $1/
+ln -s $here/lumc_logo_small.eps $1/
+ln -s $here/ul_logo.eps $1/
+ln -s $here/lgtc_logo.eps $1/
+ln -s $here/nbic_logo.eps $1/
+ln -s $here/gen2phen_logo.eps $1/
+ln -s $here/Makefile $1/
+ln -s $here/beamerthemelumc.sty $1/
+cp presentation.tex $1/